Bug 54464 - Audio Excel AV310 ISAPnP detected but misconfigured
Summary: Audio Excel AV310 ISAPnP detected but misconfigured
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sndconfig   
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-09 09:16 UTC by Mike A. Harris
Modified: 2014-03-17 02:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-31 23:52:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mike A. Harris 2001-10-09 09:16:01 UTC
Description of Problem:
kudzu detects this sound card, which is an ISA Audio Excel PnP card,
using the CMI8330 chipset.  When it goes to configure it, I presume
it is calling sndconfig, which fails to automatically PnP the card.
The result is inability to configure this sound card.

Version-Release number of selected component (if applicable):
stock 7.1 sndconfig

How Reproducible:  100%

Steps to Reproduce:
1. Install hardware
2. Run kudzu
3. follow kudzu steps

Actual Results:
"modprobe error"
/lib/modules/2.4.7-3/kernel/drivers/sound/ad1848.o
invalid parameter parm_isapnp

I presume the program keeps this stuff internally with parm_ prepended,
and it is forgetting to strip the parm_ off.  Running modprobe manually
from the commandline with "modprobe ad1848 isapnp" resulted in the module
loading.  I played back a test wav file and it works fine.  So sndconfig
is calling modprobe incorrectly near as I can tell.

I'm going to upgrade sndconfig to the one from 7.2 now and see if it
works.

Expected Results:
Properly configured sound card.

Additional Information:

Each year thousands die from lung cancer.  Smoking is bad.

Comment 1 Mike A. Harris 2001-10-09 09:21:53 UTC
Upgraded to latest kudzu and sndconfig, and the card is still not
properly detected.  Again, the card works if I modprobe it manually
as above.

Comment 2 Mike A. Harris 2003-08-31 23:52:13 UTC
I don't think ISA soundcards are even supported anymore in current development,
so no sense tracking this bug anymore, as it's unlikely to be fixed in old
releases if it isn't already.  Doesn't matter to me anymore, as I don't use
that soundcard anymore anyway.

Closing WONTFIX


Note You need to log in before you can comment on or make changes to this bug.